io.vertx.groovy.ext.auth.oauth2

## Class OAuth2Auth_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.auth.oauth2.OAuth2Auth_GroovyExtension

-     public class OAuth2Auth_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2Auth_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `api(OAuth2Auth j_receiver, HttpMethod method, String path, Map<String,Object> params, Handler<AsyncResult<Map<String,Object>>> handler)`
    `static String` | `authorizeURL(OAuth2Auth j_receiver, Map<String,Object> params)`
    `static void` | `getToken(OAuth2Auth j_receiver, Map<String,Object> params, Handler<AsyncResult<AccessToken>> handler)`
    `static OAuth2Auth` | `introspectToken(OAuth2Auth j_receiver, String token, String tokenType, Handler<AsyncResult<Map<String,Object>>> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuth2Auth_GroovyExtension

          public OAuth2Auth_GroovyExtension()

  - ### Method Detail

    - #### authorizeURL

          public static String authorizeURL(OAuth2Auth j_receiver,
                                            Map<String,Object> params)

    - #### getToken

          public static void getToken(OAuth2Auth j_receiver,
                                      Map<String,Object> params,
                                      Handler<AsyncResult<AccessToken>> handler)

    - #### api

          public static OAuth2Auth api(OAuth2Auth j_receiver,
                                       HttpMethod method,
                                       String path,
                                       Map<String,Object> params,
                                       Handler<AsyncResult<Map<String,Object>>> handler)

    - #### introspectToken

          public static OAuth2Auth introspectToken(OAuth2Auth j_receiver,
                                                   String token,
                                                   String tokenType,
                                                   Handler<AsyncResult<Map<String,Object>>> handler)

Copyright © 2017. All rights reserved.